public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sergey Torokhov" <torokhov-s-a@yandex.ru>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/lazygit/
Date: Sat, 10 Oct 2020 13:34:12 +0000 (UTC)	[thread overview]
Message-ID: <1602336823.a62fc24657f9219e10d268704fca2416d988314a.SergeyTorokhov@gentoo> (raw)

commit:     a62fc24657f9219e10d268704fca2416d988314a
Author:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Sat Oct 10 13:31:19 2020 +0000
Commit:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
CommitDate: Sat Oct 10 13:33:43 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a62fc246

dev-vcs/lazygit: add live ebuild

Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>

 dev-vcs/lazygit/lazygit-9999.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/dev-vcs/lazygit/lazygit-9999.ebuild b/dev-vcs/lazygit/lazygit-9999.ebuild
new file mode 100644
index 00000000..1ffebb9d
--- /dev/null
+++ b/dev-vcs/lazygit/lazygit-9999.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGO_PN="github.com/jesseduffield/lazygit"
+
+inherit git-r3 golang-build golang-vcs
+
+DESCRIPTION="Lazygit, a simple terminal UI for git commands"
+HOMEPAGE="https://github.com/jesseduffield/lazygit"
+EGIT_REPO_URI="https://github.com/jesseduffield/lazygit.git"
+SRC_URI=""
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS=""
+IUSE="doc"
+
+DEPEND=( sys-libs/glibc )
+RDEPEND=(
+	${DEPEND}
+	dev-vcs/git
+)
+
+DOCS=( src/${EGO_PN}/{CONTRIBUTING,README}.md )
+
+src_compile() {
+	GOPATH="${S}" go build -v -o bin/lazygit src/${EGO_PN}/main.go || die
+}
+
+src_install() {
+	dobin bin/lazygit
+
+	use doc && dodoc -r "src/${EGO_PN}/docs/."
+	einstalldocs
+}


             reply	other threads:[~2020-10-10 13:34 UTC|newest]

Thread overview: 77+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-10-10 13:34 Sergey Torokhov [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-02  7:23 [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/lazygit/ Sergey Torokhov
2025-02-27 19:16 Sergey Torokhov
2025-02-27 19:16 Sergey Torokhov
2025-02-25  6:12 Saad Abdullah
2025-02-17 19:45 Saad Abdullah
2025-01-17 19:52 Sergey Torokhov
2025-01-16 18:18 Sergey Torokhov
2024-09-18 18:33 Sergey Torokhov
2024-09-09  0:02 Sergey Torokhov
2024-09-08 23:57 Sergey Torokhov
2024-07-26 20:49 Philippe-Alexandre Mathieu
2024-06-15 15:06 Sergey Torokhov
2024-05-06 20:27 Sergey Torokhov
2024-04-28 21:43 Lucio Sauer
2024-03-24 14:30 Sergey Torokhov
2023-08-21 19:21 Sergey Torokhov
2023-08-21 19:21 Sergey Torokhov
2023-08-08 18:44 Sergey Torokhov
2023-08-06 15:16 Sergey Torokhov
2023-07-24 18:09 Sergey Torokhov
2023-07-23  9:07 Sergey Torokhov
2023-07-23  9:07 Sergey Torokhov
2023-07-22 16:56 Sergey Torokhov
2023-07-21 17:05 Sergey Torokhov
2023-05-03 19:43 Sergey Torokhov
2023-05-03 19:43 Sergey Torokhov
2023-02-01 23:01 Sergey Torokhov
2023-01-18 21:34 Sergey Torokhov
2022-11-14 11:46 Sergey Torokhov
2022-07-20 22:34 Sergey Torokhov
2022-03-17 19:19 Sergey Torokhov
2022-02-24  7:54 Anna Vyalkova
2022-02-23 13:44 Anna Vyalkova
2022-02-20 19:21 Sergey Torokhov
2022-02-20 19:21 Sergey Torokhov
2021-12-12 11:50 Sergey Torokhov
2021-12-12 11:50 Sergey Torokhov
2021-11-10 13:39 Sergey Torokhov
2021-11-09 20:50 Sergey Torokhov
2021-10-27  0:22 Sergey Torokhov
2021-10-24 15:06 Sergey Torokhov
2021-10-15 16:20 Sergey Torokhov
2021-08-19 19:18 Sergey Torokhov
2021-08-19 19:18 Sergey Torokhov
2021-07-18 12:16 Sergey Torokhov
2021-05-25  8:10 Anna Vyalkova
2021-04-21 20:34 Sergey Torokhov
2021-04-21 20:34 Sergey Torokhov
2021-04-11 10:35 Sergey Torokhov
2021-04-10 18:04 Sergey Torokhov
2021-04-08 19:07 Sergey Torokhov
2021-03-14 21:46 Sergey Torokhov
2021-03-14 21:46 Sergey Torokhov
2021-02-24 17:52 Sergey Torokhov
2021-02-24 17:52 Sergey Torokhov
2020-12-26  8:44 Sergey Torokhov
2020-12-09 23:40 Sergey Torokhov
2020-11-07 19:07 Sergey Torokhov
2020-10-14 20:47 Sergey Torokhov
2020-10-10  0:37 Sergey Torokhov
2020-10-10  0:37 Sergey Torokhov
2020-09-20 18:05 Sergey Torokhov
2020-08-27 19:11 Sergey Torokhov
2020-08-25 17:59 Sergey Torokhov
2020-07-15 19:39 Sergey Torokhov
2020-07-14 18:12 Sergey Torokhov
2020-07-14 18:12 Sergey Torokhov
2020-07-12 15:07 Sergey Torokhov
2020-07-11 23:50 Sergey Torokhov
2020-05-19 23:12 Sergey Torokhov
2020-05-13 19:05 Sergey Torokhov
2020-05-13 18:55 Sergey Torokhov
2020-04-22 10:12 Sergey Torokhov
2020-04-21  0:32 Sergey Torokhov
2020-04-09 17:52 Sergey Torokhov
2020-04-08 11:58 Sergey Torokhov

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1602336823.a62fc24657f9219e10d268704fca2416d988314a.SergeyTorokhov@gentoo \
    --to=torokhov-s-a@yandex.ru \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox